LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Static Public Member Functions | List of all members
rtl::Uri Class Reference

A wrapper around the C functions from <rtl/uri.h>. More...

`#include <uri.hxx>`

## Static Public Member Functions
static rtl::OUString | encode (rtl::OUString const &rText, sal_Bool const *pCharClass, rtl_UriEncodeMechanism eMechanism, rtl_TextEncoding eCharset) throw ()
| A wrapper around rtl_uriEncode() from <rtl/uri.h> (see there), using an array of 128 booleans as char class. More...
static rtl::OUString | encode (rtl::OUString const &rText, rtl_UriCharClass eCharClass, rtl_UriEncodeMechanism eMechanism, rtl_TextEncoding eCharset) throw ()
| A wrapper around rtl_uriEncode() from <rtl/uri.h> (see there), using a predefined rtl_UriCharClass enumeration member. More...
static rtl::OUString | decode (rtl::OUString const &rText, rtl_UriDecodeMechanism eMechanism, rtl_TextEncoding eCharset) throw ()
| A wrapper around rtl_uriDecode() from <rtl/uri.h> (see there). More...
static rtl::OUString | convertRelToAbs (rtl::OUString const &rBaseUriRef, rtl::OUString const &rRelUriRef)
| A wrapper around rtl_uriConvertRelToAbs() from <rtl/uri.h> (see there). More...

## Detailed Description

A wrapper around the C functions from <rtl/uri.h>.

## Member Function Documentation

rtl::OUString rtl::Uri::convertRelToAbs | ( | rtl::OUString const & | rBaseUriRef,
|  | rtl::OUString const & | rRelUriRef
| ) |  |
| inline static

A wrapper around rtl_uriConvertRelToAbs() from <rtl/uri.h> (see there).

Exceptions

  MalformedUriException | Thrown in case rtl_uriConvertRelToAbs() signals an exception due to a malformed base URI.

rtl::OUString rtl::Uri::decode | ( | rtl::OUString const & | rText,
|  | rtl_UriDecodeMechanism | eMechanism,
|  | rtl_TextEncoding | eCharset
| ) |  |
throw | ( |
| ) |  |
| inline static

A wrapper around rtl_uriDecode() from <rtl/uri.h> (see there).

rtl::OUString rtl::Uri::encode | ( | rtl::OUString const & | rText,
|  | sal_Bool const * | pCharClass,
|  | rtl_UriEncodeMechanism | eMechanism,
|  | rtl_TextEncoding | eCharset
| ) |  |
throw | ( |
| ) |  |
| inline static

A wrapper around rtl_uriEncode() from <rtl/uri.h> (see there), using an array of 128 booleans as char class.

rtl::OUString rtl::Uri::encode | ( | rtl::OUString const & | rText,
|  | rtl_UriCharClass | eCharClass,
|  | rtl_UriEncodeMechanism | eMechanism,
|  | rtl_TextEncoding | eCharset
| ) |  |
throw | ( |
| ) |  |
| inline static

A wrapper around rtl_uriEncode() from <rtl/uri.h> (see there), using a predefined rtl_UriCharClass enumeration member.

The documentation for this class was generated from the following file:

- rtl/uri.hxx